@import url("https://fonts.googleapis.com/css2?family=Poppins:wght@300;400;500;600;700;800;900&display=swap");

* {
  margin: 0;
  padding: 0;
  box-sizing: border-box;
  text-decoration: none;
  border: none;
  outline: none;
  font-family: "Poppins", sans-serif;
}

:root {
  --bg-color: #081b29;
  --main-color: #00abf0;
  --text-color: #333;
  --second-text-color: #555;
  --white-color: #fff;
  --cover-color: linear-gradient(45deg, #00abf0, #006e9a);
  --pages-color: linear-gradient(90deg, #fff, #ddd);
  --border: .125rem solid #00abf0;
  --box-shadow: 0 0 .6rem rgba(0, 0, 0, .2);
}
.body{
  display: flex;
  justify-content: center;
  align-items: center;
  min-height: 100vh;
 color:var(--text-color);
  background-color: var(--bg-color);
}
.wrapper {
  position:relative;
  width: 66rem;
  height:45rem;
  padding: 2rem;
  
  
}
.cover{
  position: absolute;
  top:0;
  left:0;
  width: 50%;
  height: 100%;
  background: var(--cover-color);
  box-shadow: var(--box-shadow);
  border-top-left-radius: .6rem;
  border-bottom-left-radius: .6rem;
  transform-origin: right;
}
.cover.cover-left{
  z-index: -1;
}
.cover.cover-right.turn {
  transform: rotate(180deg);
}
.book{
  position: relative;
  width: 100%;
  height:100%;
  display:flex;
  perspective:250rem;
}
.book .book-page{
  position: absolute;
  width: 50%;
  height:100%;
  background: var(--pages-color);
  box-shadow: 0 0 0.6rem rgba(0,0,0,0.1);
  display: flex;
  padding: 2rem;

}
.profile-page{
display: flex;
flex-direction: column;
justify-content: center;
align-items: center;
}
.profile-page img{
  max-width:180px;
  border-radius: 50%;
  border: .25rem solid var(--main-color);
  margin-bottom: .8rem;
}
.profile-page h1{
  font-size: 2.7rem;
  line-height:1;
}
.profile-page h3{
  font-size: 1.5rem;
  color: var(--main-color);
}
.profile-page .social-media{
  margin: .6rem 0 .8rem;

}
.profile-page .social-media a{
  justify-content: center;
  align-items: center;
  display: inline-flex;
  width: 2.5rem;
  height: 2.5rem;
  background: transparent;
  border: var(--border);
  border-radius: 50%;
  font-size: 1.3rem;
  color: var(--main-color);
  margin: 0.2rem;
  transition: .5s;
}
profile-page .social-media a:hover{
  background: var(--main-color);
  color:var(--white-color);
}
.profile-page p{
  text-align: justify;
}
.profile-page .btn-box{
  margin-top: 1.2rem;
}
.btn{
  display: inline-flex;
  justify-content: center;
  align-items: center;
  width: 9.5rem;
  height: 3rem;
  background: var(--main-color);
  border:var(--border);
  border-radius: .3rem;
  font-size: 1rem;
  color: var(--white-color);
  font-weight:500;
  margin: 0 1rem;
  transition: .5s;
}
.btn:hover{
  background: transparent;
  color: var(--main-color);
}
.btn-box .btn:nth-child(2){
  background: transparent;
  color: var(--main-color);
}
.btn-box .btn:nth-child(2):hover{
  background: var(--main-color);
  color: var(--white-color);
}
.book-page.page-right{
  position: absolute;
  right: 0;
  transform-style: preserve-3d;
  transform-origin: left;
  transition: transform 1s cubic-bezier(.645,.045 ,.355, 1);
}
.book-page.page-right.turn{
  transform: rotateY(180deg);
}
.book-page .page-front,
.book-page .page-back{
position: absolute;
top:0;
left:0;
height: 100%;
width:100%;
background: var(--pages-color);
padding: 1.5rem 2rem;
}
.book-page .page-front{
  transform: rotateY(0deg) translateZ(1px);
}
.book-page .page-back{
  transform: rotateY(180deg) translateZ(1px);
}
.title{
  text-align: center;
  margin-bottom: 1rem;
}
.workeduc-content .years{
color: var(--main-color);
}
.workeduc-content .years i{
  margin-right: .4rem;
  }
  .workeduc-box{
    border-left: var(--border);
    
  } .workeduc-box .workeduc-content{
  position: relative;
  padding-left: 1.6rem;
  margin-bottom: 1.2rem;
 }
 .workeduc-box .workeduc-content::before{
  content: '';
  position: absolute;
  left: -0.65rem;
  top: 0;
  width: 1.2rem;
  height: 1.2rem;
  background: var(--main-color);
  border-radius: 50%
 }
 .number-page{
  position: absolute;
  bottom: 1.2rem;
  left: 50%;
  transform: translateX(-50%);
 }
 .nextprev-btn{
  position: absolute;
  bottom: .9rem;
  right:1.5rem;
  width: 2rem;
  height:2rem;
  cursor: pointer;
  font-size: 2rem;
  color: var(--second-text-color);
  display: inline-flex;
  justify-content: center;
  align-items: center;
  transition: .5s;
 }
.nextprev-btn:hover{
color: var(--main-color);
}
.nextprev-btn.back{
 left: 1.5rem; 
}
.services-box{
  display: flex;
flex-wrap: wrap;  
 gap: 1.5rem;
}
.services-box .services-content{
flex: 1 1 10rem;
border: var(--border);
border-radius: .5rem;
padding: -8rem .5rem 1.1rem;
text-align: center;
transition: .3s ease;
}
.services-box .services-content:hover{
  background: var(--main-color);
  color: var(--white-color);
}
.services-content i{
  font-size:2.5rem ;
  color: var(--main-color);
}
.services-content h3{
  font-size: 1.1rem;
}
.services-content p{
  font-size: .2rem 0 .8rem;
}
.services-content .btn{
  width: 8rem;
  height: 1.5rem;
}
.services-content .btn:hover{
  background: var(--white-color);
  color: var(--main-color);
}
.skills-box{
  display: flex;
  flex-wrap: wrap;
  gap: 1.5rem;
}
.skills-box .skills-content{
  flex: 1 1 20rem;
}
.skills-content h3{
  font-size: 1.3rem;
  line-height: 2rem;
  margin-bottom: .6rem;
}
.skills-content .content{
  display: flex;
  flex-wrap: wrap;
  gap:.8rem;
}
.skills-content .content span{
 display: inline-flex;
 flex-direction: column;
 justify-content: center;
 align-items: center;
 width: 6rem;
 height: 5rem;
 border: var(--border);
 border-radius: .3rem; 
 font-weight: 600;
}
.skills-content .content span:hover{
  box-shadow: var(--box-shadow);
}

.skills-content .content span i{
  font-size: 3rem;
  color: var(--main-color);
}
.portfolio-box .img-box{
  display: flex;
  width:100%;
  height:15rem;
  border: var(--border);
  border-radius: .5rem;
} 
.portfolio-box .img-box img{
width: 100%;
object-fit: cover;
transition: .5s ease;
}
.portfolio-box .img-box:hover img{
transform: scale(1.1);}
.portfolio-box .info-box{
  margin: 1rem 0 1.5rem;
}
.portfolio-box .info-box .info-title{
  display: flex;
  justify-content: space-between;
  align-items: center;
  margin-bottom: 1rem;
}
.portfolio-box .info-box .info-title h3{
  font-size: 1.3rem;
}
.portfolio-box .info-box .info-title a{
display: flex;
align-items: center;
counter-reset: var(--main-color);
}
.portfolio-box .info-box .info-title a i{
  margin-left: .3rem;
}
.portfolio-box .info-box p:nth-of-type(1){
  font-weight: 600;
}
.portfolio-box .btn-box{
  display: flex;
  justify-content: center;

}
.portfolio-box .btn-box .btn{
  margin: 0 1.15rem;
}
.contact-box{
  text-align: center;
}
.contact-box .field{
  width: 100%;
  background: transparent;
  border: var(--border);
  border-radius: 3rem;
  padding: .8rem;
  font-size: 1rem;
  color: var(--text-color);
  margin-bottom: 1.5rem;
}
.contact-box .field::placeholder{
  color: var(--text-color);
}
.contact-box textarea{
  resize:none;
  height: 15rem;
}
.contact-box .btn{
  cursor: pointer;
}
.back-profile{
  position: absolute;
  bottom:1.2rem;
  right:2rem;
  width: 2rem;
  height:2rem;
  background: transparent;
  border: var(--border);
  border-radius: .3rem;
  font-size: 1.1rem;
  color: var(--main-color);
  display: inline-flex;
  justify-content: center;
  align-items: center ;
  transition: .5s;
}
.back-profile:hover{
  background: var(--main-color);
  color: var(--white-color);
}
.back-profile p{
  position: absolute;
top: 0;
left: 50%;
transform: translate(-50%, scale(.5));
font-size: 1rem;
color: var(--main-color);
opacity: 0;
transition: .5s;
}
.back-profile:hover p{
  opacity: 1;
  transform: translate(-50%, scale(1));
  top: -1.8rem;

}